# coding: utf-8

"""
    Alfresco Content Services REST API

    **Core API**  Provides access to the core features of Alfresco Content Services.   # noqa: E501

    OpenAPI spec version: 1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.tags_api import TagsApi  # noqa: E501
from swagger_client.rest import ApiException


class TestTagsApi(unittest.TestCase):
    """TagsApi unit test stubs"""

    def setUp(self):
        self.api = swagger_client.api.tags_api.TagsApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_create_tag(self):
        """Test case for create_tag

        Create a tag  # noqa: E501
        """
        pass

    def test_create_tag_for_node(self):
        """Test case for create_tag_for_node

        Create a tag for a node  # noqa: E501
        """
        pass

    def test_delete_tag(self):
        """Test case for delete_tag

        Delete a tag  # noqa: E501
        """
        pass

    def test_delete_tag_from_node(self):
        """Test case for delete_tag_from_node

        Delete a tag from a node  # noqa: E501
        """
        pass

    def test_get_tag(self):
        """Test case for get_tag

        Get a tag  # noqa: E501
        """
        pass

    def test_list_tags(self):
        """Test case for list_tags

        List tags  # noqa: E501
        """
        pass

    def test_list_tags_for_node(self):
        """Test case for list_tags_for_node

        List tags for a node  # noqa: E501
        """
        pass

    def test_update_tag(self):
        """Test case for update_tag

        Update a tag  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
